/* Body */
body {
  font-family: 'Poppins', sans-serif;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

.container-form {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 40px;
}

.container {
  display: flex;
  background: white;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.left-text {
  flex: 1;
  font-size: 30px;
  color: #0353A4;
  font-weight: bold;
  padding: 10px;
  line-height: 1.4;
  align-self: center;
  margin-right: 80px;
}

.form-container {
  flex: 2.5;
}

form {
  display: flex;
  flex-direction: column;
}

.row {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.input-group {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-bottom: 15px;
}

label {
  font-weight: bold;
  margin-bottom: 5px;
}

input, textarea {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

button {
  background-color: #023E7D;
  color: white;
  padding: 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
}

button:hover {
  background-color: #0353A4;
}

.map-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh; /* Adjust height if necessary */
}

@media (max-width: 1440px) {
  .container {
    flex-direction: column;
    padding: 20px;
  }

  .container-form {
    flex-direction: column;
    margin: 20px;
  }

  .left-text {
    margin: 0;
    font-size: 24px;
    text-align: center;
    line-height: 1.5;
  }

  .form-container {
    margin-top: 20px;
  }
}

@media (max-width: 1024px) {
  .left-text {
    font-size: 20px;
  }

  .form-container {
    margin-top: 15px;
  }
}

@media (max-width: 768px) {
  .left-text {
    font-size: 18px;
  }

  .form-container {
    margin-top: 10px;
  }
  form{
    flex:2.5;
  }
}

@media (max-width: 600px) {
  .container-form {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
  }

  .left-text {
    margin: 0;
    font-size: 16px;
    text-align: center;
    line-height: 1.4;
  }

  .form-container {
    margin-top: 10px;
  }
}

@media (max-width: 450px) {
  .container-form {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
  }

  .left-text {
    margin: 0;
    font-size: 14px;
    text-align: center;
    line-height: 1.4;
  }

  .form-container {
    margin-top: 10px;
  }
}
